Bug 1005898 - pulp-nodes-common should not require gofer
pulp-nodes-common should not require gofer
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
Master
Unspecified Unspecified
high Severity medium
: ---
: 2.3.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 11:50 EDT by Jeff Ortel
Modified: 2013-12-09 09:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Ortel 2013-09-09 11:50:25 EDT
The pulp-nodes-common package requires: gofer and should not.  This causes gofer to be installed on the parent node unnecessarily.
Comment 1 Barnaby Court 2013-09-12 11:04:05 EDT
Pull Request: https://github.com/pulp/pulp/pull/609
Comment 2 Jeff Ortel 2013-09-12 18:36:08 EDT
build: 2.3.0-0.10.alpha
Comment 3 Preethi Thomas 2013-09-19 11:19:30 EDT
verified

root@pulp-v2-server ~]# yum install pulp-nodes-parent pulp-nodes-admin-extensions
Loaded plugins: security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pulp-nodes-admin-extensions.noarch 0:2.3.0-0.14.alpha.el6 will be installed
--> Processing Dependency: pulp-nodes-common = 2.3.0 for package: pulp-nodes-admin-extensions-2.3.0-0.14.alpha.el6.noarch
---> Package pulp-nodes-parent.noarch 0:2.3.0-0.14.alpha.el6 will be installed
--> Running transaction check
---> Package pulp-nodes-common.noarch 0:2.3.0-0.14.alpha.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch   Version               Repository       Size
================================================================================
Installing:
 pulp-nodes-admin-extensions noarch 2.3.0-0.14.alpha.el6  pulp-v2-testing  24 k
 pulp-nodes-parent           noarch 2.3.0-0.14.alpha.el6  pulp-v2-testing  21 k
Installing for dependencies:
 pulp-nodes-common           noarch 2.3.0-0.14.alpha.el6  pulp-v2-testing  31 k

Transaction Summary
================================================================================
Install       3 Package(s)

Total download size: 77 k
Installed size: 210 k
Is this ok [y/N]: y
Downloading Packages:
(1/3): pulp-nodes-admin-extensions-2.3.0-0.14.alpha.el6. |  24 kB     00:00     
(2/3): pulp-nodes-common-2.3.0-0.14.alpha.el6.noarch.rpm |  31 kB     00:00     
(3/3): pulp-nodes-parent-2.3.0-0.14.alpha.el6.noarch.rpm |  21 kB     00:00     
--------------------------------------------------------------------------------
Total                                           247 kB/s |  77 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : pulp-nodes-common-2.3.0-0.14.alpha.el6.noarch                1/3 
  Installing : pulp-nodes-parent-2.3.0-0.14.alpha.el6.noarch                2/3 
  Installing : pulp-nodes-admin-extensions-2.3.0-0.14.alpha.el6.noarch      3/3 
  Verifying  : pulp-nodes-common-2.3.0-0.14.alpha.el6.noarch                1/3 
  Verifying  : pulp-nodes-parent-2.3.0-0.14.alpha.el6.noarch                2/3 
  Verifying  : pulp-nodes-admin-extensions-2.3.0-0.14.alpha.el6.noarch      3/3 

Installed:
  pulp-nodes-admin-extensions.noarch 0:2.3.0-0.14.alpha.el6                     
  pulp-nodes-parent.noarch 0:2.3.0-0.14.alpha.el6                               

Dependency Installed:
  pulp-nodes-common.noarch 0:2.3.0-0.14.alpha.el6                               

Complete!
[root@pulp-v2-server ~]# rpm -qa gofer
[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:30:46 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.